> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contacts By BusinessId

> Get Contacts By BusinessId



## OpenAPI

````yaml /api-reference/contacts/openapi.json get /contacts/business/{businessId}
openapi: 3.0.0
info:
  title: Contacts API
  description: Documentation for Contacts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Contacts
    description: Documentation for Contacts API
  - name: Tasks
    description: Documentation for Contacts API
  - name: Appointments
    description: Documentation for Contacts API
  - name: Tags
    description: Documentation for Contacts API
  - name: Notes
    description: Documentation for Contacts API
  - name: Campaigns
    description: Documentation for Contacts API
  - name: Workflow
    description: Documentation for Contacts API
  - name: Bulk
    description: Documentation for Contacts API
  - name: Search
    description: Documentation for Contacts API
  - name: Followers
    description: Documentation for Contacts API
paths:
  /contacts/business/{businessId}:
    get:
      tags:
        - Contacts
      summary: Get Contacts By BusinessId
      description: Get Contacts By BusinessId
      operationId: get-contacts-by-businessId
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: businessId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            default: '25'
            example: '10'
            type: string
        - name: locationId
          required: true
          in: query
          schema:
            example: 5DP4iH6HLkQsiKESj6rh
            type: string
        - name: skip
          required: false
          in: query
          schema:
            default: '0'
            example: '10'
            type: string
        - name: query
          required: false
          in: query
          schema:
            example: contact name
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactsSearchSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - contacts.readonly
components:
  schemas:
    ContactsSearchSuccessfulResponseDto:
      type: object
      properties:
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/ContactsSearchSchema'
        count:
          type: number
          example: 10
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    ContactsSearchSchema:
      type: object
      properties:
        id:
          type: string
          example: ocQHyuzHvysMo5N5VsXc
        locationId:
          type: string
          example: C2QujeCh8ZnC7al2InWR
        email:
          type: string
          example: JohnDeo@gmail.com
        timezone:
          type: string
          example: Asia/Calcutta
        country:
          type: string
          example: DE
        source:
          type: string
          example: xyz form
        dateAdded:
          type: string
          example: '2020-10-29T09:31:30.255Z'
        customFields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldSchema'
        tags:
          example:
            - nisi sint commodo amet
            - consequat
          type: array
          items:
            type: string
        businessId:
          type: string
          example: 641c094001436dbc2081e642
        attributions:
          type: array
          items:
            $ref: '#/components/schemas/AttributionSource'
        followers:
          example: 641c094001436dbc2081e642
          type: array
          items:
            type: string
    CustomFieldSchema:
      type: object
      properties:
        id:
          type: string
          example: MgobCB14YMVKuE4Ka8p1
        value:
          type: string
          example: name
    AttributionSource:
      type: object
      properties:
        url:
          type: string
          example: Trigger Link
        campaign:
          type: string
          nullable: true
        utmSource:
          type: string
          nullable: true
        utmMedium:
          type: string
          nullable: true
        utmContent:
          type: string
          nullable: true
        referrer:
          type: string
          example: 'https: //www.google.com'
          nullable: true
        campaignId:
          type: string
          nullable: true
        fbclid:
          type: string
          nullable: true
        gclid:
          type: string
          example: >-
            CjOKCQjwnNyUBhCZARISAI9AYIFtNnIcWcYGIOQINz_ZoFI5SSLRRugSoPZoiEu27IZBY£1-MAIWmEaAo2VEALW_WCB
          nullable: true
        msclikid:
          type: string
          nullable: true
        dclid:
          type: string
          nullable: true
        fbc:
          type: string
          nullable: true
        fbp:
          type: string
          example: fb. 1.1674748390986.1171287961
          nullable: true
        fbEventId:
          type: string
          example: Mozilla/5.0
          nullable: true
        userAgent:
          type: string
          example: Mozilla/5.0
          nullable: true
        ip:
          type: string
          example: 58.111.106.198
          nullable: true
        medium:
          type: string
          example: survey
          nullable: true
        mediumId:
          type: string
          example: FglfHAn30PRwsZVyQlKp
          nullable: true
      required:
        - url
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````